package com.bpcl.lpg.core.jalo;

import java.util.Collections;
import java.util.HashMap;
import de.hybris.platform.jalo.enumeration.EnumerationValue;
import java.util.Date;
import de.hybris.platform.jalo.SessionContext;
import de.hybris.platform.jalo.Item;
import java.util.Map;
import de.hybris.platform.directpersistence.annotation.SLDSafe;
import de.hybris.platform.jalo.GenericItem;

@SLDSafe
public class LpgAutoPortability extends GenericItem
{
    public static final String CUSTOMERID = "customerId";
    public static final String RETURNCODE = "returnCode";
    public static final String RETURNMSG = "returnMsg";
    public static final String PARTNERCODE = "partnerCode";
    public static final String PARTNERTRANSID = "partnerTransId";
    public static final String UNIQUEAPIREQNO = "uniqueAPIReqNo";
    public static final String REQUESTID = "requestId";
    public static final String REQUESTSTATUS = "requestStatus";
    public static final String CLOSUREDATE = "closureDate";
    public static final String TAID = "taId";
    public static final String DESTINATIONDISTCODE = "destinationDistCode";
    public static final String DESTINATIONAREA = "destinationArea";
    public static final String STATUS = "status";
    protected static final Map<String, Item.AttributeMode> DEFAULT_INITIAL_ATTRIBUTES;
    
    protected Map<String, Item.AttributeMode> getDefaultAttributeModes() {
        return LpgAutoPortability.DEFAULT_INITIAL_ATTRIBUTES;
    }
    
    public Date getClosureDate(final SessionContext ctx) {
        return (Date)this.getProperty(ctx, "closureDate".intern());
    }
    
    public Date getClosureDate() {
        return this.getClosureDate(this.getSession().getSessionContext());
    }
    
    public void setClosureDate(final SessionContext ctx, final Date value) {
        this.setProperty(ctx, "closureDate".intern(), (Object)value);
    }
    
    public void setClosureDate(final Date value) {
        this.setClosureDate(this.getSession().getSessionContext(), value);
    }
    
    public String getCustomerId(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "customerId".intern());
    }
    
    public String getCustomerId() {
        return this.getCustomerId(this.getSession().getSessionContext());
    }
    
    public void setCustomerId(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "customerId".intern(), (Object)value);
    }
    
    public void setCustomerId(final String value) {
        this.setCustomerId(this.getSession().getSessionContext(), value);
    }
    
    public String getDestinationArea(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "destinationArea".intern());
    }
    
    public String getDestinationArea() {
        return this.getDestinationArea(this.getSession().getSessionContext());
    }
    
    public void setDestinationArea(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "destinationArea".intern(), (Object)value);
    }
    
    public void setDestinationArea(final String value) {
        this.setDestinationArea(this.getSession().getSessionContext(), value);
    }
    
    public String getDestinationDistCode(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "destinationDistCode".intern());
    }
    
    public String getDestinationDistCode() {
        return this.getDestinationDistCode(this.getSession().getSessionContext());
    }
    
    public void setDestinationDistCode(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "destinationDistCode".intern(), (Object)value);
    }
    
    public void setDestinationDistCode(final String value) {
        this.setDestinationDistCode(this.getSession().getSessionContext(), value);
    }
    
    public String getPartnerCode(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "partnerCode".intern());
    }
    
    public String getPartnerCode() {
        return this.getPartnerCode(this.getSession().getSessionContext());
    }
    
    public void setPartnerCode(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "partnerCode".intern(), (Object)value);
    }
    
    public void setPartnerCode(final String value) {
        this.setPartnerCode(this.getSession().getSessionContext(), value);
    }
    
    public String getPartnerTransId(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "partnerTransId".intern());
    }
    
    public String getPartnerTransId() {
        return this.getPartnerTransId(this.getSession().getSessionContext());
    }
    
    public void setPartnerTransId(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "partnerTransId".intern(), (Object)value);
    }
    
    public void setPartnerTransId(final String value) {
        this.setPartnerTransId(this.getSession().getSessionContext(), value);
    }
    
    public String getRequestId(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "requestId".intern());
    }
    
    public String getRequestId() {
        return this.getRequestId(this.getSession().getSessionContext());
    }
    
    public void setRequestId(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "requestId".intern(), (Object)value);
    }
    
    public void setRequestId(final String value) {
        this.setRequestId(this.getSession().getSessionContext(), value);
    }
    
    public String getRequestStatus(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "requestStatus".intern());
    }
    
    public String getRequestStatus() {
        return this.getRequestStatus(this.getSession().getSessionContext());
    }
    
    public void setRequestStatus(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "requestStatus".intern(), (Object)value);
    }
    
    public void setRequestStatus(final String value) {
        this.setRequestStatus(this.getSession().getSessionContext(), value);
    }
    
    public String getReturnCode(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "returnCode".intern());
    }
    
    public String getReturnCode() {
        return this.getReturnCode(this.getSession().getSessionContext());
    }
    
    public void setReturnCode(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "returnCode".intern(), (Object)value);
    }
    
    public void setReturnCode(final String value) {
        this.setReturnCode(this.getSession().getSessionContext(), value);
    }
    
    public String getReturnMsg(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "returnMsg".intern());
    }
    
    public String getReturnMsg() {
        return this.getReturnMsg(this.getSession().getSessionContext());
    }
    
    public void setReturnMsg(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "returnMsg".intern(), (Object)value);
    }
    
    public void setReturnMsg(final String value) {
        this.setReturnMsg(this.getSession().getSessionContext(), value);
    }
    
    public EnumerationValue getStatus(final SessionContext ctx) {
        return (EnumerationValue)this.getProperty(ctx, "status".intern());
    }
    
    public EnumerationValue getStatus() {
        return this.getStatus(this.getSession().getSessionContext());
    }
    
    public void setStatus(final SessionContext ctx, final EnumerationValue value) {
        this.setProperty(ctx, "status".intern(), (Object)value);
    }
    
    public void setStatus(final EnumerationValue value) {
        this.setStatus(this.getSession().getSessionContext(), value);
    }
    
    public String getTaId(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "taId".intern());
    }
    
    public String getTaId() {
        return this.getTaId(this.getSession().getSessionContext());
    }
    
    public void setTaId(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "taId".intern(), (Object)value);
    }
    
    public void setTaId(final String value) {
        this.setTaId(this.getSession().getSessionContext(), value);
    }
    
    public String getUniqueAPIReqNo(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "uniqueAPIReqNo".intern());
    }
    
    public String getUniqueAPIReqNo() {
        return this.getUniqueAPIReqNo(this.getSession().getSessionContext());
    }
    
    public void setUniqueAPIReqNo(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "uniqueAPIReqNo".intern(), (Object)value);
    }
    
    public void setUniqueAPIReqNo(final String value) {
        this.setUniqueAPIReqNo(this.getSession().getSessionContext(), value);
    }
    
    static {
        final Map<String, Item.AttributeMode> tmp = new HashMap<String, Item.AttributeMode>();
        tmp.put("customerId", Item.AttributeMode.INITIAL);
        tmp.put("returnCode", Item.AttributeMode.INITIAL);
        tmp.put("returnMsg", Item.AttributeMode.INITIAL);
        tmp.put("partnerCode", Item.AttributeMode.INITIAL);
        tmp.put("partnerTransId", Item.AttributeMode.INITIAL);
        tmp.put("uniqueAPIReqNo", Item.AttributeMode.INITIAL);
        tmp.put("requestId", Item.AttributeMode.INITIAL);
        tmp.put("requestStatus", Item.AttributeMode.INITIAL);
        tmp.put("closureDate", Item.AttributeMode.INITIAL);
        tmp.put("taId", Item.AttributeMode.INITIAL);
        tmp.put("destinationDistCode", Item.AttributeMode.INITIAL);
        tmp.put("destinationArea", Item.AttributeMode.INITIAL);
        tmp.put("status", Item.AttributeMode.INITIAL);
        DEFAULT_INITIAL_ATTRIBUTES = Collections.unmodifiableMap((Map<? extends String, ? extends Item.AttributeMode>)tmp);
    }
}
